# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Devel-GlobalDestruction-XS
Version:	0.03
Release:	1.%{__distinit}%{__distvers}
License:	GPL+ or Artistic
Group:		Development/Libraries
Summary:	Faster implementation of the Devel::GlobalDestruction API
URL:		https://metacpan.org/release/Devel-GlobalDestruction-XS
Source0:	http://cpan.metacpan.org/authors/id/H/HA/HAARG/Devel-GlobalDestruction-XS-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
# Build (perl-devel split from main perl package at F-7)
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	gcc
BuildRequires:	make
BuildRequires:	perl
BuildRequires:	perl(ExtUtils::MakeMaker)
%if 0%{?fedora} > 6 || 0%{?rhel} > 5
BuildRequires:	perl-devel
%endif
%if 0%{?fedora} > 20 || 0%{?rhel} > 7
BuildRequires:	perl-generators
%endif
# Module
BuildRequires:	perl(XSLoader)
# Test suite
BuildRequires:	perl(threads)
BuildRequires:	perl(threads::shared)
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
This is an XS backend for Devel::GlobalDestruction and should be used through
that module.

%prep
%setup -q -n Devel-GlobalDestruction-XS-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%doc Changes README
%{perl_vendorarch}/auto/Devel/
%{perl_vendorarch}/Devel/
%{_mandir}/man3/Devel::GlobalDestruction::XS.3*

%changelog
* Tue Nov  1 2016 Paul Howarth <paul@city-fan.org> - 0.03-1
- Update to 0.03
  - Stop relying on . being in @INC

* Thu Aug 18 2016 Paul Howarth <paul@city-fan.org> - 0.02-3
- BR: perl-generators where available
- Simplify find commands using -empty and -delete

* Mon Oct 19 2015 Paul Howarth <paul@city-fan.org> - 0.02-1
- Update to 0.02
  - Update metadata to include IRC and repository web link
  - Remove unneeded prerequisite on ExtUtils::CBuilder
- This release by HAARG → update source URL
- Drop %%defattr, redundant since rpm 4.4
- Explicitly BR: perl-devel, needed for EXTERN.h

* Fri Jul 12 2013 Paul Howarth <paul@city-fan.org> - 0.01-4
- Perl 5.18 rebuild

* Tue Apr  9 2013 Paul Howarth <paul@city-fan.org> - 0.01-3
- Drop redundant explicit dependency on perl(XSLoader) (#928418)

* Wed Mar 27 2013 Paul Howarth <paul@city-fan.org> - 0.01-1
- Initial RPM version
